import 'dart:developer';

import 'package:firebase_crashlytics/firebase_crashlytics.dart';
import 'package:hub/backend/api_requests/api_calls.dart';

class LogUtil {

  static void requestAPIFailed(String url, String body, String reason, dynamic error, StackTrace stack) async {
    FirebaseCrashlytics.instance.setCustomKey('URL', "${PhpGroup.getBaseUrl()}/$url");
    FirebaseCrashlytics.instance.setCustomKey('Body', body);

    await FirebaseCrashlytics.instance.recordError(error, stack, reason: reason);
  }

}